import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * world where a ship is attacked by aliens
 * 
 * @author Tremaine Brown 
 * @version May 30, 2011
 */
public class boxWorld  extends World    {

    /**
     * Constructor for objects of class boxWorld.
     * 
     */
    ScoreBoard board;
    int score = 10;
    public boxWorld()   {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        
        Greenfoot.playSound("Lone_Wolf.mp3");

        //sets order in which objects are created
        setPaintOrder(Boss.class, Ship.class, BulletL.class, BulletS.class, BonusPoint.class, ScoreBoard.class);
        populate();

        //creates a scoreboard called board
        board = new ScoreBoard();
        int x = 0;
        int y = 0;
    }


    //creates a method called populate that adds the box and boss
    private void populate()  {
        addObject(new Ship(), 400,300);
        addObject(new Boss(), 25,200);
    }  

    
    public void act()   {
        //creates a large bullet if random number is smaller than y value. If bigger than y value and smaller
        // than z value creates a small bullet
        int w = Greenfoot.getRandomNumber(5000);
        int x = Greenfoot.getRandomNumber(250);
        int y = 2;
        int z = 5;
        if(x < y)  {
            y++;
            addObject(new BulletL(), 0, Greenfoot.getRandomNumber(400)); 
            score = score + 25; 
            board.update(score);  
        }else if(x < z)    {
            z++;
            addObject(new BulletS(), 0, Greenfoot.getRandomNumber(400)); 
            score = score + 15; 
            board.update(score);  
        }
        // adds a bonus point barrel
        if (w < 3) {
            addObject(new BonusPoint(), Greenfoot.getRandomNumber(600), Greenfoot.getRandomNumber(400));
        }
    }
    
    // plays explosion sound, adds a scoreboard and stops the game from running
    public void gameOver()  {
        Greenfoot.playSound("explosion.wav");
        addObject(board, 300, 200);
        Greenfoot.stop();
    }
    
    public void addToScore()    {
         score = score + 50; 
         board.update(score); 
    }
}

